This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763488 - (GLUSTER-1756) NFS must revalidate inode on first ESTALE on lookup
NFS must revalidate inode on first ESTALE on lookup
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1-alpha
All Linux
low Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 03:27 EDT by Shehjar Tikoo
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2010-10-01 01:02:59 EDT
PATCH: http://patches.gluster.com/patch/5134 in master (nfs3: Revalidate inode on receiving ESTALE on lookup)
Comment 1 Shehjar Tikoo 2010-10-01 03:27:10 EDT
When nfs receives an ESTALE, it must send a lookup with a new inode.
Comment 2 Vijay Bellur 2010-10-11 07:31:32 EDT
PATCH: http://patches.gluster.com/patch/5429 in master (Revert "nfs3: Revalidate inode on receiving ESTALE on lookup")
Comment 3 Vijay Bellur 2010-10-11 07:31:36 EDT
PATCH: http://patches.gluster.com/patch/5431 in master (nfs: re-implement logic to perform fresh lookups when lookup revalidates fail)
Comment 4 Vijay Bellur 2010-10-12 00:11:14 EDT
PATCH: http://patches.gluster.com/patch/5458 in master (protocol/server: be consistent in setting rsp.dict_len and rsp.dict)
Comment 5 Vijay Bellur 2010-10-12 00:11:17 EDT
PATCH: http://patches.gluster.com/patch/5459 in master (protocol/client: prevent propagation of CHILD_DOWN after pmap query)
Comment 6 Vijay Bellur 2010-10-12 00:11:22 EDT
PATCH: http://patches.gluster.com/patch/5460 in master (Revert "nfs3: Revalidate inode on receiving ESTALE on lookup")
Comment 7 Vijay Bellur 2010-10-12 00:11:28 EDT
PATCH: http://patches.gluster.com/patch/5461 in master (nfs: re-implement logic to perform fresh lookups when lookup revalidates fail)
Comment 8 Anand Avati 2010-11-25 06:35:17 EST
PATCH: http://patches.gluster.com/patch/5775 in master (nfs: Undo selective changes in inode revalidation)
Comment 9 Anand Avati 2010-11-25 06:35:22 EST
PATCH: http://patches.gluster.com/patch/5776 in master (nfs3: Fresh inode lookup on failed revalidation)
Comment 10 Anand Avati 2010-11-25 06:35:33 EST
PATCH: http://patches.gluster.com/patch/5783 in master (nfsrpc: Add new macro nfs_rpcsvc_request_procnum)
Comment 11 Anand Avati 2010-11-25 06:35:37 EST
PATCH: http://patches.gluster.com/patch/5784 in master (nfs3: Prevent second lookup on a fresh entry lookup)

Note You need to log in before you can comment on or make changes to this bug.